.main-layout-page {
  height: 100%;
  &-header {
    padding: 0 !important;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 9;
    box-shadow: 0 4px 10px -4px #dddddd;
    background-color: #fff !important;

    .trigger {
      padding: 0 24px;
      font-size: 18px;
      line-height: 64px;
      cursor: pointer;
      transition: color 0.3s;
    }

    .trigger:hover {
      color: #1890ff;
    }

    svg {
      width: 20px;
      height: 20px;
      cursor: pointer;
    }

    &-main {
      padding: 0 15px;
      flex: 1;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
  }
  .logo {
    // height: 64px;
    // width: 200px;
    // box-sizing: border-box;
    // display: flex;
    // justify-content: center;
    // align-items: center;
    // z-index: 9;

    img {
      margin-bottom: 24px;
      margin-left: 24px;
      margin-top: 24px;
      width: 152px;
      height: 42px;
    }
  }
  &-sider {
    box-sizing: border-box;
    margin-bottom: 10px;
  }
  &-content {
    // background-color: #fff;
    display: flex;
    flex-direction: column;
    flex: 1;
    > :nth-child(1) .ant-tabs-bar {
      padding: 6px 0 0;
    }

    > :nth-child(2) {
      flex: auto;
      overflow: auto;
      padding: 6px;
      box-sizing: border-box;
      .innerText {
        padding: 24px;
        border-radius: 2px;
        display: block;
        line-height: 32px;
        font-size: 16px;
      }
    }
  }
  &-footer {
    text-align: center;
    padding: 14px 20px;
    font-size: 12px;
  }
  .user-action {
    cursor: pointer;
  }
  .actions {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    > * {
      margin-left: 20px;
      height: 100%;
      display: flex;
      align-items: center;
      .notice {
        display: block;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 22px;
        height: 22px;
        cursor: pointer;
      }
    }
  }
  .user-avator {
    margin-right: 8px;
    width: 30px;
    height: 30px;
  }
}
.sider {
  background: #224922;
  border-radius: 0px 24px 0px 0px;
  min-height: 100vh;
  .ant-menu {
    color: #ffffff;
  }
  .menu {
    background-color: #224922;
    border: none;
    width: 90%;
    overflow: auto;
    height: 80vh;
    &::-webkit-scrollbar {
      display: none;
    }
    .ant-menu-item-selected {
      border-radius: 8px;
      background: #2c662c;
      color: #7bc45a;
    }
    .ant-menu-submenu-selected {
      color: #7bc45a;
    }
    .ant-menu-item::after {
      border-right: none !important;
      // border-left: 3px solid #1890ff !important;
    }
    .ant-menu-item-icon {
      width: 24px;
      height: 24px;
    }
    .ant-menu-inline .ant-menu-item {
      // padding-left: 24px !important;
      margin-left: 24px;
      width: 87%;
    }
    .ant-menu-item:focus::before {
      content: '';
      display: inline-block;
      position: absolute;
      left: 2.34%;
      width: 4px;
      height: 16px;
      right: 91.41%;
      background-color: #7bc45a;
      border-radius: 4px;
      // margin-left: -5px;
      // border-right: none !important;
      // border-left: 3px solid #1890ff !important;
    }
    .ant-menu-sub {
      background: #224922 !important;
    }
    .ant-menu-item-active {
      border-radius: 8px;
      background: #2c662c;
    }
  }
}
